Eclipse Platform Release 3.7

## org.eclipse.help.standalone
Class Infocenter

    java.lang.Object
      org.eclipse.help.standalone.Infocenter

    public class Infocenter

extends Object

This is a standalone infocenter. It takes care of launching the Eclipse with its help system implementation. This class can be instantiated and used in a Java program, or can be launched from command line. Usage as a Java component:

- create an instantance of this class
- call start(), infocenter will run
- when no longer needed call shutdown().

Constructor Summary
`Infocenter(String[] options)` Constructs Infocenter

Method Summary
`static void` `main(String[] args)` Controls start up and shut down of infocenter from command line.
`void` `shutdown()` Shuts-down the stand alone infocenter.
`void` `start()` Starts the stand alone infocenter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Infocenter

    public Infocenter(String[] options)

  Constructs Infocenter

  Parameters:
    `options` - array of String options and their values

    Option `-eclipseHome dir` specifies Eclipse installation directory. This directory is a parent to "plugins" directory and eclipse executable. The option must be provided, when current directory from which infocenter is launched, is not the same as Eclipse installation directory.

    Option `-host helpServerHost` specifies host name of the interface that help server will use. It overrides host name specified in the application server plugin preferences.

    Option `-port helpServerPort` specifies port number that help server will use. It overrides port number specified in the application server plugin preferences.

    Option `-dir rtl` sets right-to-left rendering direction of help UI in the browser.

    Option `-noexec` indicates that Eclipse executable should not be used.

    Additionally, most options accepted by Eclipse execuable are supported.

Method Detail

### start

    public void start()
               throws Exception

  Starts the stand alone infocenter.

  Throws:
    `Exception`

### shutdown

    public void shutdown()
                  throws Exception

  Shuts-down the stand alone infocenter.

  Throws:
    `Exception`

### main

    public static void main(String[] args)

  Controls start up and shut down of infocenter from command line.

  Parameters:
    `args` - array of String containing options Options are: `-command start | shutdown [-eclipsehome eclipseInstallPath] [-host helpServerHost] [-port helpServerPort] [-dir rtl] [-noexec] [platform options] [-vmargs JavaVMarguments]` where
    - `eclipseInstallPath` specifies Eclipse installation directory; it must be provided, when current directory is not the same as Eclipse installation directory,
    - `helpServerHost` specifies host name of the interface that help server will use, it overrides host name specified the application server plugin preferences
    - `helpServerPort` specifies port number that help server will use, it overrides port number specified the application server plugin preferences.
    - `-dir rtl` sets right-to-left rendering direction of help UI in the browser.
    - `-noexec` option indicates that Eclipse executable should not be used.
    - `platform options` are other options that are supported by Eclipse Executable.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.